package com.fs.his.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户帐单记录对象 fs_user_bill
 * 
 * @author fs
 * @date 2023-06-25
 */
public class FsUserBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long billId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 类型 */
    @Excel(name = "类型")
    private Integer billType;

    /** 关联ID */
    @Excel(name = "关联ID")
    private String businessId;

    /** 用户账单id */
    private Long id;

    /** 明细分类  */
    @Excel(name = "明细分类 ")
    private String category;

    /** 明细类型 */
    @Excel(name = "明细类型")
    private String type;

    /** 明细数字 */
    @Excel(name = "明细数字")
    private Double number;

    /** 0 = 带确定 1 = 有效 -1 = 无效 */
    @Excel(name = "0 = 带确定 1 = 有效 -1 = 无效")
    private Integer status;

    private Long tuiUserId;

    public void setBillId(Long billId) 
    {
        this.billId = billId;
    }

    public Long getBillId() 
    {
        return billId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setMoney(BigDecimal money) 
    {
        this.money = money;
    }

    public BigDecimal getMoney() 
    {
        return money;
    }
    public void setBalance(BigDecimal balance) 
    {
        this.balance = balance;
    }

    public BigDecimal getBalance() 
    {
        return balance;
    }
    public void setBillType(Integer billType) 
    {
        this.billType = billType;
    }

    public Integer getBillType() 
    {
        return billType;
    }
    public void setBusinessId(String businessId) 
    {
        this.businessId = businessId;
    }

    public String getBusinessId() 
    {
        return businessId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("billId", getBillId())
            .append("userId", getUserId())
            .append("title", getTitle())
            .append("money", getMoney())
            .append("balance", getBalance())
            .append("billType", getBillType())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("businessId", getBusinessId())
            .toString();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Double getNumber() {
        return number;
    }

    public void setNumber(Double number) {
        this.number = number;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getTuiUserId() {
        return tuiUserId;
    }

    public void setTuiUserId(Long tuiUserId) {
        this.tuiUserId = tuiUserId;
    }
}
